import java.util.ArrayList;
import java.util.List;

public class Persons {
    List<Person> list;

    public Persons(){
        list = new ArrayList<>();
    }
    public void add(Person p){
        this.list.add(p);

    }

    public static void printPersons(List<Person> roster, CheckPerson tester){
        roster.forEach(p -> {
            if(tester.test(p)){
                p.printPerson();
            }});
    }

    CheckPerson age = p -> (18 <= p.getAge() && 60 > p.getAge());



    class personAnon{

        public void printPersonsOlderThan(List<Person> roster, int age) {
            for (Person p : roster) {
                if (p.getAge() >= age) {
                    p.printPerson();
                }
            }
        }

    }


}
